Bug 65120 - iostat does not show all drives with "-x" option
Summary: iostat does not show all drives with "-x" option
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sysstat   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Charlie Bennett
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On: 62682
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-17 20:34 UTC by Need Real Name
Modified: 2007-04-18 16:42 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-23 16:28:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-05-17 20:34:17 UTC
Description of Problem:

It appears that iostat will only show 32 drives/paritions by default.  It should
show all drives/partitions in the system.

Version-Release number of selected component (if applicable):

sysstat-4.0.1-2

How Reproducible:

Any system with >32 drives/partitions will only show the first 32 entries in
'iostst -x'.

Actual Results:

# iostat -x
Linux 2.4.9-31smp (hostname) 	05/17/2002

avg-cpu:  %user   %nice    %sys   %idle
           0.69    0.00    0.18   99.13

Device:  rrqm/s wrqm/s   r/s   w/s  rsec/s  wsec/s avgrq-sz avgqu-sz   await 
svctm  %util
sda        3.16   2.69  0.25  1.72   27.28   35.20    31.70     1.12  224.85
403.41   7.95
sda1       3.12   0.14  0.23  0.22   26.78    2.62    66.15     0.06  129.34 
70.59   0.31
sda2       0.00   0.00  0.00  0.00    0.00    0.00     6.80     0.00  100.00
100.00   0.00
sda3       0.00   0.01  0.00  0.01    0.00    0.16    12.64     0.00  366.09
297.76   0.04
sda5       0.02   1.65  0.01  0.90    0.24   20.47    22.77     0.99  207.00
822.55   7.48
sda6       0.02   0.90  0.01  0.59    0.25   11.95    20.18     0.19  319.05 
83.80   0.51
sda7       0.00   0.00  0.00  0.00    0.00    0.00     3.50     0.00   43.75 
43.75   0.00
sdb        2.79   2.73  0.24  1.76   24.23   35.85    30.05     0.79  208.92 
69.20   1.38
sdb1       2.75   0.18  0.22  0.25   23.67    3.26    57.16     0.96  114.59
1932.07   9.10
sdb2       0.00   0.00  0.00  0.00    0.00    0.00     8.00     0.00  100.00
100.00   0.00
sdb3       0.00   0.01  0.00  0.01    0.00    0.16    12.64     0.00  318.07
253.06   0.03
sdb5       0.02   1.64  0.01  0.90    0.27   20.47    22.78     0.18  192.64 
86.19   0.78
sdb6       0.02   0.90  0.01  0.59    0.29   11.95    20.23     0.18  304.67 
79.73   0.48
sdb7       0.00   0.00  0.00  0.00    0.00    0.00     6.80     0.00   80.00 
80.00   0.00
sdc        2.54   0.09  0.19  0.21   21.84    2.41    61.62     0.05  127.68 
74.34   0.29
sdc1       2.54   0.09  0.19  0.21   21.84    2.41    61.66     0.05  127.76 
74.38   0.29
sdc2       0.00   0.00  0.00  0.00    0.00    0.00     2.00     0.00   50.00 
50.00   0.00
sdc5       0.00   0.00  0.00  0.00    0.00    0.00     2.00     0.00   26.67 
26.67   0.00
sdc6       0.00   0.00  0.00  0.00    0.00    0.00     2.00     0.00   40.62 
40.62   0.00
sdd        4.03   0.14  0.17  0.12   33.62    2.03   124.97     0.25  203.88
2537.72   7.24
sdd1       4.03   0.14  0.17  0.12   33.62    2.03   124.97     0.87  203.89
2725.77   7.78
sde        3.63   0.11  0.15  0.22   30.19    2.67    88.75     0.63  157.72
2633.51   9.75
sde1       3.63   0.11  0.15  0.22   30.19    2.67    88.75     0.63  157.72
2633.59   9.75
sdf        5.71   0.16  0.21  0.26   47.36    3.30   108.55     0.52  200.26
967.31   4.51
sdf1       5.71   0.16  0.21  0.26   47.36    3.30   108.55     0.09  200.26 
94.05   0.44
sdg        5.81   0.59  0.35  0.66   49.31   10.02    58.80     0.50  225.80
867.62   8.75
sdg1       5.81   0.59  0.35  0.66   49.31   10.02    58.80     0.33  225.81
130.26   1.31
sdh        3.79   0.41  0.27  0.51   32.43    7.41    51.05     1.41  103.24
556.88   4.35
sdh1       3.79   0.41  0.27  0.51   32.43    7.41    51.05     0.52  103.24
556.89   4.35
sdi        2.55   0.29  0.18  0.40   21.83    5.52    46.78     1.21  112.15
743.89   4.35
sdi1       2.55   0.29  0.18  0.40   21.83    5.52    46.78     0.07  112.15 
77.39   0.45
sdj        3.99   0.13  0.17  0.11   33.23    1.96   125.93     0.12  199.97
285.88   0.80

Expected Results:

There should also be entries for sdk -> sday as well.

Additional Information:

See https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=62682 for a related
problem with /proc/partitions

Comment 1 Trond Eivind Glomsrxd 2002-05-17 21:05:12 UTC
Do they show up in /proc/partitions with valid data?

Comment 2 Need Real Name 2002-05-17 21:26:00 UTC
See https://bugzilla.redhat.com/bugzilla/showattachment.cgi?attach_id=56464 for
the /proc/partitions on this machine.

Comment 3 Trond Eivind Glomsrxd 2002-05-17 22:07:25 UTC
Can't output it when I don't get the data...

Comment 4 Need Real Name 2002-05-18 01:28:45 UTC
iostat should at least print output for sda -> sdp, as it does have that data,
but it stops at sdj (it doesn't even show sdj1).

Comment 5 Need Real Name 2002-06-13 15:33:16 UTC
I just tried this with the 2.4.18-4 kernel, and got:

Device:  rrqm/s wrqm/s   r/s   w/s  rsec/s  wsec/s avgrq-sz avgqu-sz   await 
svctm  %util
sdaw       0.00   0.00  0.00  0.00    0.00    0.00     8.62     0.00   53.85 
53.85   0.00
sdaw1      0.00   0.00  0.00  0.00    0.00    0.00     8.67     0.00   50.00 
50.00   0.00
sdax       0.02   0.02  0.00  0.04    0.17    0.49    14.77     0.00   73.62 
73.34   0.03
sdax1      0.02   0.02  0.00  0.04    0.17    0.49    14.78     0.00   73.61 
73.34   0.03
sday       0.00   0.00  0.00  0.00    0.00    0.00     8.00     0.00    2.86  
2.86   0.00
sday6      0.00   0.00  0.00  0.00    0.00    0.00     8.00     0.00   16.67 
16.67   0.00
sdag       0.00   0.00  0.00  0.00    0.00    0.00     8.00     0.00    2.94  
2.94   0.00
sdag1      0.00   0.00  0.00  0.00    0.00    0.00     8.00     0.00   16.67 
16.67   0.00
sdah       0.00   0.00  0.00  0.00    0.00    0.00     9.11     0.00   36.84 
26.32   0.00
sdah1      0.00   0.00  0.00  0.00    0.00    0.00     9.14     0.00   35.14 
24.32   0.00
sdai       0.00   0.00  0.00  0.00    0.00    0.00    11.45     0.00   45.45 
36.36   0.00
sdai1      0.00   0.00  0.00  0.00    0.00    0.00    11.56     0.00   43.75 
34.38   0.00
sdaj       0.00   0.00  0.00  0.00    0.00    0.00     9.35     0.00   35.14 
21.62   0.00
sdaj1      0.00   0.00  0.00  0.00    0.00    0.00     9.39     0.00   36.11 
22.22   0.00
sdak       0.00   0.00  0.00  0.00    0.00    0.00     9.61     0.00   38.89 
33.33   0.00
sdak1      0.00   0.00  0.00  0.00    0.00    0.00     9.66     0.00   37.14 
31.43   0.00
sdal       0.00   0.02  0.00  0.04    0.03    0.49    11.60     0.00   66.03 
65.85   0.03
sdal1      0.00   0.02  0.00  0.04    0.03    0.49    11.60     0.00   66.02 
65.84   0.03
sdam       0.07   0.06  0.10  0.01    1.36    0.58    17.09     0.05  416.41 
38.70   0.04
sdam1      0.07   0.06  0.10  0.01    1.36    0.58    17.09     0.05  416.46 
38.69   0.04
sdan       0.00   0.00  0.00  0.00    0.00    0.00     7.56     0.00   61.11 
50.00   0.00
sdan1      0.00   0.00  0.00  0.00    0.00    0.00     7.53     0.00   58.82 
47.06   0.00
sdao       0.00   0.00  0.00  0.00    0.00    0.00     8.94     0.00   35.29 
35.29   0.00
sdao1      0.00   0.00  0.00  0.00    0.00    0.00     9.00     0.00   31.25 
31.25   0.00
sdap       0.00   0.00  0.00  0.00    0.00    0.00     8.00     0.00   73.68 
57.89   0.00
sdap1      0.00   0.00  0.00  0.00    0.00    0.00     8.00     0.00   72.22 
55.56   0.00
sdaq       0.00   0.00  0.00  0.00    0.00    0.00     8.50     0.00   75.00 
50.00   0.00
sdaq1      0.00   0.00  0.00  0.00    0.00    0.00     8.53     0.00   80.00 
53.33   0.00
sdar       0.02   0.02  0.00  0.04    0.22    0.49    15.84     0.00   67.75 
67.26   0.03
sdar1      0.02   0.02  0.00  0.04    0.22    0.49    15.84     0.00   67.77 
67.28   0.03
sdas       0.07   0.06  0.10  0.01    1.34    0.58    17.43     0.05  460.12 
37.45   0.04
sdas1      0.07   0.06  0.10  0.01    1.34    0.58    17.43     0.05  460.19 
37.46   0.04

So there is still some limitation inside iostat, as it appears that the
/proc/partitions issue is resolved in 2.4.18-4.

Comment 6 Trond Eivind Glomsrxd 2002-07-26 19:18:12 UTC
Can you give sysstat-4.0.5 a try? available from
http://people.redhat.com/teg/sysstat/

Comment 7 Mike A. Harris 2002-11-11 04:11:06 UTC
I inherited this package recently, and got all of it's open bug reports
as well.  Is this bug report still valid?  Trond asked for you to test
out a particular sysstat package, and there is no response since then.

Please indicate if the test package solves the problem or not, and
update the report.  If you're not interested in tracking this
issue anymore, please let me know so I can close it.

Comment 8 Need Real Name 2003-06-23 16:28:23 UTC
This appears resolved after the kernel's /proc/partition handling was fixed in
the lastest AS kernel errata.


Note You need to log in before you can comment on or make changes to this bug.